import Api from "~/service/Api"
import Utils from "~/utils"

export default {
                async onDocdisButtxmsel(){
                console.log("接口调试入口2====>>>");
                let rtnmsg = await this.executeRule("docdis.buttxmsel")

                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onSetinstxmButtxmsel(){
            console.log("接口调试入口2====>>>");
                let rtnmsg = await this.executeRule("setinstxm.buttxmsel")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onShppDet(){
            console.log("接口调试入口3====>>>");
                let rtnmsg = await this.executeRule("shpp.det")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onAcbpDet(){
            console.log("接口调试入口4====>>>");
                let rtnmsg = await this.executeRule("acbp.det")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },

}